Skip to main content
GET
/
api
/
v2
/
segments
/
{projectKey}
/
{segmentKey}
/
expiring-user-targets
/
{environmentKey}
Get expiring user targets for segment
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/segments/{projectKey}/{segmentKey}/expiring-user-targets/{environmentKey} \
  --header 'Authorization: <api-key>'
{
  "items": [
    {
      "_id": "12ab3c45de678910fgh12345",
      "_version": 1,
      "expirationDate": "1658192820000",
      "userKey": "example-user-key",
      "_resourceId": {
        "kind": "<string>",
        "projectKey": "<string>",
        "environmentKey": "<string>",
        "flagKey": "<string>",
        "key": "<string>"
      },
      "targetType": "included",
      "variationId": "ce67d625-a8b9-4fb5-a344-ab909d9d4f4d"
    }
  ],
  "_links": {}
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string<string>
required

The project key

environmentKey
string<string>
required

The environment key

segmentKey
string<string>
required

The segment key

Response

Expiring user target response

items
object[]
required

An array of expiring user targets

The location and content type of related resources